<ion-header>
  <ion-toolbar>
    <ion-title>{{ isLogin ? 'Login' : 'signup'}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <form #f="ngForm" (ngSubmit)="onSubmit(f)">
    <ion-grid>
      <ion-row>
        <ion-col size-sm="6" offset-sm="3">
          <ion-list>
            <ion-item>
              <ion-label position="floating">E-mail</ion-label>
              <ion-input type="email" ngModel name="email" required email #emailCtrl="ngModel" ></ion-input>
            </ion-item>
            <ion-item  *ngIf="!emailCtrl.valid && emailCtrl.touched" lines="none">
              <ion-label>
                Should be a valid email address. 
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-label position="floating">Password</ion-label>
              <ion-input type="password" ngModel name="password" required minlength="6" #passwordCtrl="ngModel"></ion-input>
            </ion-item>
            <ion-item  *ngIf="!passwordCtrl.valid && passwordCtrl.touched" lines="none">
              <ion-label>
                Should at least be 6 characters long. 
              </ion-label>
            </ion-item>
          </ion-list>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col size-sm="6" offset-sm="3">
          <ion-button 
          type="button" 
          color="primary" 
          fill="clear" 
          expand="block"
          (click)="onSwitchAuthMode()">
            Switch to {{ isLogin ? 'signup' : 'Login'}}
          </ion-button>
          <ion-button 
          type="submit" 
          color="primary" 
          (click)="onLogin()" 
          expand="block" 
          [disabled]="!f.valid"> <!-- semula setelah "onlogin()" ditambahkan *ngIf="!isLoading"-->
            Login
          </ion-button>
        </ion-col>
      </ion-row>
    </ion-grid>
  </form>  
  <!-- 
  <div text-center>
    <ion-spinner color="primary" *ngIf="isLoading"></ion-spinner>
  </div>
  -->
</ion-content>
